commit:     8165348a970678b204980b701381f2cc367de0ed
Author:     Andreas K. Huettel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Mon May 28 13:27:44 2018 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon May 28 13:27:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8165348a

app-text/xournal: Version and EAPI bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-text/xournal/Manifest                                 |  1 +
 .../{xournal-9999.ebuild => xournal-0.4.8.2016.ebuild}    | 15 ++++++++++-----
 app-text/xournal/xournal-9999.ebuild                      | 15 ++++++++++-----
 3 files changed, 21 insertions(+), 10 deletions(-)

diff --git a/app-text/xournal/Manifest b/app-text/xournal/Manifest
index 2ba2d9e35e9..7614a521a7a 100644
--- a/app-text/xournal/Manifest
+++ b/app-text/xournal/Manifest
@@ -1 +1,2 @@
+DIST xournal-0.4.8.2016.tar.gz 646082 BLAKE2B 
4f64fb45759616d99f961b8db575bec1620e089d9f87d4e02d3de7b1cb1d9189d439d78e5b89c93d5635138206f603e40bb33a46458d34a9ec050869e54be531
 SHA512 
1426d5c9ba3486fbe342d49fc19fcc162965cd6a7b7754f79665e43fe0e60e6f42f61969405ace78fdaa7b99cbb3d4b07b7fb5df246d68a329b52084b6eec76e
 DIST xournal-0.4.8.tar.gz 641240 BLAKE2B 
cbf82f3ddb27854ce4a17fe80d1ed012f47529ee3f41eac0118f4948f4ca76488fb647c77ab21c99cf19de0016df4db31a448d4c626a42219b2b13b297b5d51e
 SHA512 
cfd5760a0e832ef02786a29cb744d4932aeee97c4d6992b430e647bd59aaef1042735203824d0eaf9da9b884dcdadcfb8f5acea221638db91438ae46a6ee42bf

diff --git a/app-text/xournal/xournal-9999.ebuild 
b/app-text/xournal/xournal-0.4.8.2016.ebuild
similarity index 85%
copy from app-text/xournal/xournal-9999.ebuild
copy to app-text/xournal/xournal-0.4.8.2016.ebuild
index 422842c0e82..50477f8a453 100644
--- a/app-text/xournal/xournal-9999.ebuild
+++ b/app-text/xournal/xournal-0.4.8.2016.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-GCONF_DEBUG=no
+EAPI=6
 
 [[ ${PV} == *9999 ]] && GNOME2_EAUTORECONF=yes
 
@@ -23,7 +21,7 @@ HOMEPAGE="http://xournal.sourceforge.net/";
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+pdf"
+IUSE="+pdf vanilla"
 
 COMMONDEPEND="
        app-text/poppler[cairo]
@@ -45,10 +43,17 @@ DEPEND="${COMMONDEPEND}
        virtual/pkgconfig
 "
 
+src_prepare() {
+       default_src_prepare
+       if ! use vanilla; then
+               eapply "${FILESDIR}"/xournal-0.4.8-aspectratio.patch
+       fi
+}
+
 src_install() {
        emake DESTDIR="${D}" install
        emake DESTDIR="${D}" desktop-install
 
        dodoc ChangeLog AUTHORS README
-       dohtml -r html-doc/*
+       dodoc -r html-doc/*
 }

diff --git a/app-text/xournal/xournal-9999.ebuild 
b/app-text/xournal/xournal-9999.ebuild
index 422842c0e82..50477f8a453 100644
--- a/app-text/xournal/xournal-9999.ebuild
+++ b/app-text/xournal/xournal-9999.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-GCONF_DEBUG=no
+EAPI=6
 
 [[ ${PV} == *9999 ]] && GNOME2_EAUTORECONF=yes
 
@@ -23,7 +21,7 @@ HOMEPAGE="http://xournal.sourceforge.net/";
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+pdf"
+IUSE="+pdf vanilla"
 
 COMMONDEPEND="
        app-text/poppler[cairo]
@@ -45,10 +43,17 @@ DEPEND="${COMMONDEPEND}
        virtual/pkgconfig
 "
 
+src_prepare() {
+       default_src_prepare
+       if ! use vanilla; then
+               eapply "${FILESDIR}"/xournal-0.4.8-aspectratio.patch
+       fi
+}
+
 src_install() {
        emake DESTDIR="${D}" install
        emake DESTDIR="${D}" desktop-install
 
        dodoc ChangeLog AUTHORS README
-       dohtml -r html-doc/*
+       dodoc -r html-doc/*
 }

Reply via email to